<template>
  <div class="container">
    <HeaderHtml />
    <hr>
    <h2 class="text-center">Nuestros Productos</h2>
   
      <div class="row container">
        <div v-for="producto of productos" :key="producto.id" class="col-12 col-sm-4 col-md-3 col-lg- mb-3 ">
          <Card :producto="producto" />
        </div>
        <hr>
        <Carrito />
    </div>
    <Form />
    <hr>
    <FooterHtml />
  </div>
</template>

<script>
import { useStore } from 'vuex'
import { computed, onMounted } from 'vue'
import Card from './components/Card'
import Carrito from './components/Carrito'
import Form from './components/Form.vue'
import FooterHtml from './components/FooterHtml'
import HeaderHtml from './components/HeaderHtml'

export default {
  name: 'App',
  components: {
    Card, Carrito, Form, FooterHtml, HeaderHtml
  },
  setup() {
    const store = useStore()
    onMounted(async () => {
      store.dispatch('fetchData')
    })

    const productos = computed(() => store.state.productos)

    return { productos }
  }
}
</script> 
<style scoped>
.container{
  background-color: rgb(229, 200, 222);
  max-width: 900px;
}
</style>